JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator+=() [3/4]
reference nlohmann::basic_json::operator+= | ( | const typename object_t::value_type & | val | ) |
| inline
  add an object to an object Inserts the given element val to the JSON object. If the function is called on a JSON null value, an empty object is created before inserting val. Parameters
  [in] | val | the value to add to the JSON object
  Exceptions
  type_error.308 | when called on a type other than JSON object or null; example: `"cannot use push_back() with number"`
  Complexity Logarithmic in the size of the container, O(log(`size()`)). Example The example shows how `push_back()` and `+=` can be used to add elements to a JSON object. Note how the `null` value was silently converted to a JSON object. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON values 9 json object = {{"one", 1}, {"two", 2}}; 10 json null; 11 12 // print values 13 std::cout << object << '\n'; 14 std::cout << null << '\n'; 15 16 // add values 17 object.push_back(json::object_t::value_type("three", 3)); 18 object += json::object_t::value_type("four", 4); 19 null += json::object_t::value_type("A", "a"); 20 null += json::object_t::value_type("B", "b"); 21 22 // print values 23 std::cout << object << '\n'; 24 std::cout << null << '\n'; 25 } Output (play with this example online):
      {"one":1,"two":2}
      null
      {"four":4,"one":1,"three":3,"two":2}
      {"A":"a","B":"b"}
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/push_back__object_t__value.cpp -o push_back__object_t__value
Since version 1.0.0 Definition at line 21117 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774